Method: projects.locations.experiments.affectedResources.get

Gets the details of a specific cloud resource that is being or was affected by a particular Experiment. The response includes the resource's state within the Experiment.

HTTP request

GET https://faulttesting.googleapis.com/v1alpha/{name=projects/*/locations/*/experiments/*/affectedResources/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The resource name of the affected resource. Format: projects/{projectId}/locations/{location}/experiments/{experimentId}/affectedResources/{affectedResourceId}.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of AffectedResource.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • faulttesting.affectedResources.get

For more information, see the IAM documentation.